import dircache
from os.path import join
import string

def runit():
    format_files = dircache.listdir('formats')
    for fname in format_files:
        fd = open(join('formats',fname),'r+b')
        lines = fd.readlines()
        fd.close()
        #self.formats[fname] = {}
        format_targets = {}
        formats = {}
        for line in lines:
            if line != "\n" and line[0] != '#':
                cmd, desc = string.split(line,'=',1)
                cmd = string.strip(cmd)
                desc = string.strip(desc)
                if line[0] != '.':
                    format_targets[cmd] = desc
                else:
                    formats[cmd] = desc
        targets = {}
        for cmd, desc in format_targets.items():
               for mapping_key,mapping in formats.items():
                   if string.find(desc,mapping_key) != -1:
                       targets[cmd] = desc % formats
        print targets
